Howto about Dell OpenManage on Fedora 14

5. January 2011 av Bjørge Solli

I just published a howto on installing Dell OpenManage on Fedora 14.

fjerne norske tegn

18. December 2009 av Bjørge Solli

Jeg synkroniserer filer mellom Windows, Linux og OSX med Unison. Unisons utvikler sier siste versjon skal takle forskjellige tegnsett, men jeg fikk alikevel problemer med norske tegn. Løsningen var for meg å fjerne alle norske tegn i filnavn og katalognavn i mappen jeg synkroniserer. For å gjøre dette laget jeg et lite bash-skript. Dette må kjøres på Linux eller OSX, evt. under cygwin på Windows. Koden følger under.


#!/bin/bash

[ $? -ne 1 ] || { echo "usage: $0 <dir>"; exit 1; }

[ -d $1 ] || { echo "usage: $0 <dir>"; exit 2; }

which find &>/dev/null || { echo "could not find command 'find'"; exit 3; }
which egrep &>/dev/null || { echo "could not find command 'egrep'"; exit 4; }
which sed &>/dev/null || { echo "could not find command 'sed'"; exit 5; }

redo=1
until [ $redo -eq 0 ]; do
  redo=0
  find $1 -type d -print | \
  while read dir; do
    echo "$dir" | egrep -qi 'æ|ø|å' && {
      newdir=`echo "$dir" | sed -e 's/æ/ae/g' -e 's/ø/o/g' -e 's/å/aa/g' -e 's/Æ/AE/g' -e 's/Ø/O/g' -e 's/Å/AA/g'`
      mv -v "$dir" "$newdir" 2>/dev/null || redo=1
    }
  done
  find $1 -type f -print | \
  while read fn; do
    echo "$fn" | egrep -qi 'æ|ø|å' && {
      newfn=`echo "$fn" | sed -e 's/æ/ae/g' -e 's/ø/o/g' -e 's/å/aa/g' -e 's/Æ/AE/g' -e 's/Ø/O/g' -e 's/Å/AA/g'`
      mv -v "$fn" "$newfn" 2>/dev/null || redo=1
    }
  done
done

Husk at du må gjøre filen kjørbar med kommandoen

chmod u+x filnavn

Pappapermisjon

25. October 2009 av Bjørge Solli

Da har jeg faktisk pappapermisjon/ferie resten av året! Gleder meg til å være med Thord hele dagen. Vi er åpen for kafébesøk, akvariebesøk og liknende alle dager:-D

Norges beste orddelingsfeil

18. September 2009 av Bjørge Solli

Denne bare må sees!

Reklame: Meld deg inn i Astronomer mot orddeling nå!

Valg

28. August 2009 av Bjørge Solli

Det skal snart stemmes. Det som for meg kan bli et av de avgjørende spørsmålene er samferdsel. Norges Automobilforbund har stilt politikerene de rette spørsmålene. Det skal litt mer enn samferdsel til før jeg stemmer FRP, men jeg er egentlig interessert i svar på disse spørsmålene fra alle partiene, ikke bare de jeg faktisk vurderer å stemme på. Håper politikerene følger opp!

– si nei til datalagringsdirektivet!

14. July 2009 av Bjørge Solli

Personvern er en grunnleggende verdi i et demokrati. Personvernet innebærer en rett til å være i fred fra andre, men også en rett til å ha kontroll over opplysninger om seg selv, særlig opplysninger som oppleves som personlige. Etter EMK artikkel 8 er personvern ansett som en menneskerettighet.

Med en mulig norsk implementering av Datalagringsdirektivet (direktiv 2006/24/EF), som pålegger tele- og nettselskap å lagre trafikkdata om borgernes elektroniske kommunikasjon (e-post, sms, telefon, internett) i inntil to år, vil nordmenns personvern bli krenket på det groveste.

Datalagringsdirektivet ble vedtatt av EU 15.mars 2006, men fremdeles har den norske regjeringen ikke offisielt tatt stilling til om direktivet skal gjøres til norsk lov eller ikke. Gjennom EØS-avtalen har Norge en reservasjonsrett. Denne har aldri før blitt brukt, men så har man heller aldri stått overfor et direktiv som representerer en så stor trussel mot demokratiets grunnleggende verdier som det datalagringsdirektivet gjør.

Jeg krever at alle partier sier ifra nå før valget om de vil gjøre datalagringsdirektivet til norsk lov eller ikke. Å ikke ta stilling er det samme som stilltiende aksept. Så forventer jeg at den nye regjeringen klarer det denne ikke har gjort – å stoppe datalagringsdirektivet.

Partiene må ta stilling nå – si nei til datalagringsdirektivet!

Andre som er enig, opphav og lisens.

.

særskrivingsundersøkelse

12. June 2009 av Bjørge Solli

Dagbladet har i dag en sak som varmer mitt AMO-hjerte. Artikkelen anbefales både for de som vet hva særskriving er og de som ikke vet det. Skulle gjerne skrevet en lang artikkel om dette selv, men den har godgjort seg i bakhodet mitt siden jeg laget denne bloggen, så den kan nok ligge der litt til;-)

Hilsen AMO-sjef 3722 (er egentlig skandale at jeg ikke har lavere nummer, måtte registrere meg tre ganger)

havørn

21. May 2009 av Bjørge Solli

Gutta bak tjeld.uib.no har nå endelig fått opp havorn.uib.no. Kult!

Planet BLUG

14. May 2009 av Bjørge Solli

Har satt sammen planet BLUG i dag. En planet er en nettside som slår sammen og viser RSS-strømmer fra f.eks. blogger. Det er bare å sende meg en epost dersom du føler deg hjemme i BLUG og har en blogg, her er ingen for uviktige eller perifere!

bilder

4. February 2009 av Bjørge Solli

Nå har jeg oppdatert bildebloggen min med bilder fra før 2008. Da gjenstår bare 2008-> så er jeg ajour.